<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 7/2/16
 * Time: 9:47 PM
 */

namespace Luticate\Auth\Business;

use Luticate\Auth\DataAccess\LuPermissionsDataAccess;
use Luticate\Utils\Business\LuBusiness;

class LuPermissionsBusiness extends LuBusiness
{
    public static function getDataAccess()
    {
        return new LuPermissionsDataAccess();
    }

    public static function getUserEffectivePermissionById(int $userId, int $permissionId)
    {
        return static::getDataAccess()->getUserEffectivePermissionById($userId, $permissionId);
    }

    public static function getUserEffectivePermissionByName(int $userId, string $permissionName)
    {
        return static::getDataAccess()->getUserEffectivePermissionByName($userId, $permissionName);
    }

    public static function getUserEffectivePermissions(int $userId)
    {
        return static::getDataAccess()->getUserEffectivePermissions($userId);
    }
}