<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 7/2/16
 * Time: 5:32 PM
 */

namespace Luticate\Auth\DataAccess\Sp;

use Luticate\Utils\DataAccess\LuStoredProcedure;
use Luticate\Utils\Dbo\LuBoolDbo;

class SpLuGetUserEffectivePermissionByName extends LuStoredProcedure
{
    protected static $_connection = "luticatedb";
    protected static $_storedProcedure = "sp_lu_get_user_effective_permission_by_name";
    protected static $_dboClass = LuBoolDbo::class;

    /**
     * @param $userId int
     * @param $permissionName string
     * @return bool
     */
    public static function getUserEffectivePermission(int $userId, string $permissionName)
    {
        /**
         * @var $val LuBoolDbo
         */
        $val = static::getSingle([$userId, $permissionName]);
        if (!is_null($val)) {
            return $val->getBool();
        }
        return null;
    }
}