<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 7/2/16
 * Time: 5:32 PM
 */

namespace Luticate\Auth\DataAccess\Sp;

use Luticate\Auth\Dbo\LuPermissionLite;
use Luticate\Utils\DataAccess\LuStoredProcedure;

class SpLuGetUserEffectivePermissions extends LuStoredProcedure
{
    protected static $_connection = "luticatedb";
    protected static $_storedProcedure = "sp_lu_get_user_effective_permissions";
    protected static $_dboClass = LuPermissionLite::class;

    /**
     * @param $userId int
     * @return LuPermissionLite[]
     */
    public static function getUserEffectivePermissions(int $userId)
    {
        /**
         * @var $val LuPermissionLite[]
         */
        $val = static::getMultiple([$userId]);
        return $val;
    }
}