<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 7/8/16
 * Time: 1:52 PM
 */

namespace Luticate\Auth\Dbo;

use Luticate\Utils\Dbo\LuDbo;

class LuUsersLiteDbo extends LuDbo
{
    /**
     * @var $_id int
     */
    protected $_id;

    /**
     * @var $_username string
     */
    protected $_username;

    /**
     * @var $_profileId int
     * @nullable
     */
    protected $_profileId;

    /**
     * @var $_externalAuth int
     * @nullable
     */
    protected $_externalAuth;

    /**
     * @var $_email string
     */
    protected $_email;

    /**
     * @var $_firstname string
     * @nullable
     */
    protected $_firstname;

    /**
     * @var $_lastname string
     * @nullable
     */
    protected $_lastname;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->_id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->_id = $id;
    }

    /**
     * @return string
     */
    public function getUsername()
    {
        return $this->_username;
    }

    /**
     * @param string $username
     */
    public function setUsername($username)
    {
        $this->_username = $username;
    }

    /**
     * @return int
     */
    public function getProfileId()
    {
        return $this->_profileId;
    }

    /**
     * @param int $profileId
     */
    public function setProfileId($profileId)
    {
        $this->_profileId = $profileId;
    }

    /**
     * @return int
     */
    public function getExternalAuth()
    {
        return $this->_externalAuth;
    }

    /**
     * @param int $externalAuth
     */
    public function setExternalAuth($externalAuth)
    {
        $this->_externalAuth = $externalAuth;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->_email;
    }

    /**
     * @param string $email
     */
    public function setEmail($email)
    {
        $this->_email = $email;
    }

    /**
     * @return string
     */
    public function getFirstname()
    {
        return $this->_firstname;
    }

    /**
     * @param string $firstname
     */
    public function setFirstname($firstname)
    {
        $this->_firstname = $firstname;
    }

    /**
     * @return string
     */
    public function getLastname()
    {
        return $this->_lastname;
    }

    /**
     * @param string $lastname
     */
    public function setLastname($lastname)
    {
        $this->_lastname = $lastname;
    }
    
    
}